Bug 455013 - (CVE-2008-3143) CVE-2008-3143 python: Multiple integer overflows discovered by Google
CVE-2008-3143 python: Multiple integer overflows discovered by Google
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080703,publi...
: Security
Depends On: 486106 486114 486329 486330 486351 486352 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 09:45 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 540523 (view as bug list)
Environment:
Last Closed: 2015-08-22 03:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-07-11 09:45:13 EDT
Description of problem:

Added checks for integer overflows, contributed by Google. Some are
only available if asserts are left in the code, in cases where they
can't be triggered from Python code.

Proposed upstream patch:

http://svn.python.org/view?rev=60793&view=rev
Comment 2 Jan Lieskovsky 2008-10-30 10:44:47 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 10 errata-xmlrpc 2009-07-27 05:23:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html
Comment 11 errata-xmlrpc 2009-07-27 05:35:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html
Comment 12 errata-xmlrpc 2009-07-27 05:37:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1178 https://rhn.redhat.com/errata/RHSA-2009-1178.html

Note You need to log in before you can comment on or make changes to this bug.